-------------------------------------------------------------------------------
--
--  This file is part of AdaBrowse.
--
-- <STRONG>Copyright (c) 2002 by Thomas Wolf.</STRONG>
-- <BLOCKQUOTE>
--    AdaBrowse is free software; you can redistribute it and/or modify it
--    under the terms of the  GNU General Public License as published by the
--    Free Software  Foundation; either version 2, or (at your option) any
--    later version. AdaBrowse is distributed in the hope that it will be
--    useful, but <EM>without any warranty</EM>; without even the implied
--    warranty of <EM>merchantability or fitness for a particular purpose.</EM>
--    See the GNU General Public License for  more details. You should have
--    received a copy of the GNU General Public License with this distribution,
--    see file "<A HREF="GPL.txt">GPL.txt</A>". If not, write to the Free
--    Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307,
--    USA.
-- </BLOCKQUOTE>
--
-- <DL><DT><STRONG>
-- Author:</STRONG><DD>
--   Thomas Wolf  (TW)
--   <ADDRESS><A HREF="mailto:twolf@acm.org">twolf@acm.org</A></ADDRESS></DL>
--
-- <DL><DT><STRONG>
-- Purpose:</STRONG><DD>
--   Version information.</DL>
--
-- <!--
-- Revision History
--
--   02-FEB-2002   TW  First release.
-- -->
-------------------------------------------------------------------------------

pragma License (GPL);

with Ada.Characters.Handling;
with Asis.Implementation;

package body AD.Version is

   use Ada.Characters.Handling;

   function Get_Asis_Version
     return String
   is
   begin
      return To_String (Asis.Implementation.ASIS_Implementor_Version);
   end Get_Asis_Version;

   function Get_Version
     return String
   is
   begin
      return "4.0.3";
   end Get_Version;

   function Get_Maintainer
     return String
   is
   begin
      return "<twolf@acm.org>";
   end Get_Maintainer;

   function Get_URL
     return String
   is
   begin
      return "http://home.tiscalinet.ch/t_wolf/tw/ada95/adabrowse/";
   end Get_URL;

   function Time
     return String
   is
   begin
      return "2005-04-28";
   end Time;

end AD.Version;
